import math

def load(list):
    print "Loading AI bindings"

    # binding format:
    # ( 'name of robot from .bot file', 'name of AI from script class',
    #       {'optional constructor parameter':value, 'another':value} )

    # constructor parameters:
    # nose - "front" of bot in radians (default 0)
    # invertible - can function upside-down (default False)
    # topspeed - speed in meters/second AI will attempt not to exceed (default 4.0)
    # throttle - maximum analog value AI will attempt not to exceed (default 100)
    # turnspeed - turning in radians/second AI will attempt not to exceed (default 2.5)
    # turn - maximum analog value AI will attempt not to exceed (default 60)
    # radius - bot radius to use for checking for hazards and walls (default 1.0)

    # 0 - PA Entrants "Yeah, they sure are PA Entrants!"
    list.append(("NightLight EXT","Omni",{'nose':math.pi*2,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(1,)}))
    list.append(("Neon Gravitations 3","Omni",{'nose':math.pi*2,'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(1,)}))
    list.append(("Prime Spectacle","Flipper2",{'nose':math.pi,'Invertible':True,'EnemyMoveRadius':0.5,'SrimechInterval':1,'UseSrimech':1,'radius':1,'topspeed':1250,'throttle':100,'turn':75,'turnspeed':2.5,'weapons':(19,)}))
    list.append(("Volt Switch XX","Omni",{'nose':math.pi,'invertible':True,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(112,)}))
    list.append(("Turon","Omni",{'nose':math.pi/2,'radius':0.1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'UseSrimech':1,'weapons':(118,119,)}))
    list.append(("Bullbot HW","TopPusher2",{'nose':math.pi*1,'tactic':"Ram",'invertible':True,'BackUpTime':1.5,'radius':1,'topspeed':1000,'throttle':1300,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    
    # 1 - More PA Entrants "Yup! Still PA Entrants!"
    list.append(("E1","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':80,'turnspeed':2.3,'weapons':(0,)}))
    list.append(("E2","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':80,'turnspeed':2.3,'weapons':(0,)}))
    list.append(("Erebus","Omni",{'radius':0.1,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3,'weapons':(0,)}))
    list.append(("Offset salamander","Omni",{'nose':math.pi*2,'invertible':True,'range':500,'radius':1,'topspeed':100,'throttle':150,'turn':70,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Maximum","TopPusher2",{'nose':math.pi,'invertible':False,'tactic':"Ram",'ThresholdSpeed':0.02,'BackUpTime':4,'radius':1,'topspeed':1000,'throttle':1000,'turn':60,'turnspeed':3,'weapons':(0,)}))
    list.append(("12:01","Spinner",{'invertible':True,'nose':math.pi,'radius':0.2,'range':100,'topspeed':200,'throttle':200,'turn':60,'turnspeed':2.5,'weapons':(1,2,)}))

    # 2 - Even More PA Entrants "Woah!! Even more?!?!?! I can't believe it!!"
    list.append(("Neko","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':130,'throttle':130,'turn':90,'turnspeed':2.3,'weapons':(0,)}))
    list.append(("dual existence","Omni",{'nose':math.pi*1,'radius':0.3,'range':100,'topspeed':200,'throttle':200,'turn':50,'turnspeed':3.5,'weapons':(10,11,12,13,14,15,16,17,)}))
    list.append(("Pitstop S","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(43,44,57,58,65,66,)}))
    list.append(("Bruiser Cruiser","Omni",{'nose':math.pi*1,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':100,'turnspeed':2.5,'weapons':(17,19,)}))
    list.append(("Bruiser Cruiser (Anti-HS)","Omni",{'nose':math.pi*1,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':100,'turnspeed':2.5,'weapons':(15,17,)}))
    list.append(("Rest In Pieces","Omni",{'nose':math.pi*1,'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':150,'turn':90,'turnspeed':3.5,'weapons':(19,20,21,)}))

    # 3 - Even Even More PA Entrants "OMG!!! MORE PA ENTRANTS?!?!?!?!"
    list.append(("Heartbreaker (anti hs)","Omni",{'invertible':False,'range':99,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.4,'weapons':(3,4,5,)}))
    list.append(("Heartbreaker","Omni",{'invertible':False,'range':99,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.4,'weapons':(3,4,5,)}))
    list.append(("Lethal Injection","Omni",{'radius':1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'UseSrimech':1,'SrimechInterval':1,'weapons':(11,)}))
    list.append(("Galaxar","Omni",{'nose':math.pi*1.5,'radius':1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':3.5,'weapons':(26,)}))
    list.append(("Fatality","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':150,'turn':60,'turnspeed':3.5,'weapons':(65,69,)}))
    list.append(("Windmill","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':60,'turnspeed':1.5,'weapons':(92,93,)}))

    # 4 - Even Even Even More PA Entrants "WOAH!!!! MORE PA ENTRANTS!!! WOOOOOOO"
    list.append(("Bomb Pop","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':1500,'throttle':1750,'turn':90,'turnspeed':3.5,'weapons':(30,41,42,48,)}))
    list.append(("Self Destruct Button","Omni",{'invertible':False,'range':50,'radius':1,'topspeed':99999,'throttle':1000,'turn':25,'turnspeed':2,'UseSrimech':1,'tactic':"Ram",'ThresholdSpeed':9999,'SightRange':3,'BackUpTime':999,'AimError':999,'weapons':(0,)}))
    list.append(("Techno Force","Omni",{'invertible':True,'range':99,'radius':1,'topspeed':200,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Hu Tao","Flipper2",{'cooldown':10,'EnemyMoveRadius':1.2,'UseSrimech':1,'SrimechInterval':2.2,'radius':0.2,'topspeed':150,'throttle':150,'turn':75,'turnspeed':3.1,'weapons':(0,)}))
    list.append(("Birthday Cake Kisses","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':45,'turnspeed':1.4,'weapons':(22,23,44,46,)}))
    list.append(("THEWITCH","Omni",{'nose':math.pi,'invertible':True,'radius':1,'range':500,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':2,'weapons':(4,5,)}))

    # 5 - Even Even Even Even More PA Entrants "THERE'S MORE ?!?!?!??! :OOO"
    list.append(("Hitstick","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':500,'throttle':500,'turn':55,'turnspeed':2,'weapons':(39,)}))
    list.append(("Superstar Slugger","Omni",{'nose':math.pi/2,'invertible':True,'range':50,'radius':1,'topspeed':1500,'throttle':1000,'turn':70,'turnspeed':3,'weapons':(5,40,)}))
    list.append(("Elegy 2","Omni",{'invertible':True,'radius':1,'range':300,'topspeed':1300,'throttle':1600,'turn':60,'turnspeed':2.75,'weapons':(32,)}))
    list.append(("Cicada II","Omni",{'range':500,'radius':1,'topspeed':100,'throttle':100,'turn':60,'turnspeed':4,'weapons':(96,147)}))
    list.append(("BlackOUT","Flipper2",{'Invertible':True,'EnemyMoveRadius':0.5,'SrimechInterval':1,'UseSrimech':1,'radius':1,'topspeed':1250,'throttle':500,'turn':75,'turnspeed':3,'weapons':(0,)}))
    list.append(("Maximum Horsepower","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':130,'throttle':100,'turn':70,'turnspeed':3.2,'UseSrimech':0,'SrimechInterval':0.5,'weapons':(10,11,12,13,14,15,16,17,)}))

    # 6 - Even Even Even Even Even More PA Entrants "I CAN'T BELIEVE IT!!!!!!!! THERE'S EVEN MOREEEE?!??!"
    list.append(("Pyrrhic","Omni",{'invertible':True,'range':100,'radius':1,'topspeed':500,'throttle':500,'turn':60,'turnspeed':2.75,'weapons':(111,112,)}))
    list.append(("Superior Spinner","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':60,'turnspeed':1.75,'weapons':(6,)}))
    list.append(("Citrine Mk10","Judge",{'nose':math.pi*2,'MotorID':96,'StartAngle':-math.pi*0.6,'reload':10,'radius':0.1,'topspeed':1500,'throttle':1500,'turn':60,'turnspeed':3.5,'tactic':"Ram",'ThresholdSpeed':0.02,'BackUpTime':4,'weapons':(32,)}))
    list.append(("Fallen angel","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':150,'turn':70,'turnspeed':3,'weapons':(17,20,)}))
    list.append(("Hyper violent AI","Omni",{'nose':math.pi,'invertible':True,'range':500,'radius':1,'topspeed':100,'throttle':140,'turn':70,'turnspeed':2.0,'weapons':(0,)}))
    list.append(("Imperialist","Judge",{'nose':math.pi*2,'radius':0.3,'MotorID':37,'StartAngle':math.pi*0.5,'topspeed':200,'throttle':200,'turn':20,'turnspeed':3.5,'weapons':(0,)}))

    # 7 - Even Even Even Even Even Even More PA Entrants "WHAAA??????? THERE'S EVEN MORE ?!?!?!? BROO WHATTTT"
    list.append(("Alpenglow 2 neptsys boogaloo","Judge",{'MotorID':8,'nose':math.pi*2,'invertible':True,'StartAngle':math.pi/2,'reload':5,'range':99,'SightRange':200,'radius':1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("White death","TopPusher2",{'nose':math.pi*1,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'tactic':"Ram",'ThresholdSpeed':3,'SightRange':5,'BackUpTime':9999,'AimError':0,'weapons':(0,)}))
    list.append(("Imperialist","Judge",{'nose':math.pi*2,'radius':0.3,'MotorID':37,'StartAngle':math.pi*0.5,'topspeed':200,'throttle':200,'turn':20,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("DetermiN80","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':900,'turn':60,'turnspeed':2.5,'weapons':(9,10,11,)}))
    list.append(("Hagane no Tsuihou Shinka Kai","Flipper2",{'nose':math.pi,'Invertible':True,'EnemyMoveRadius':0.5,'SrimechInterval':1,'UseSrimech':1,'radius':1,'topspeed':1250,'throttle':500,'turn':75,'turnspeed':3,'weapons':(0,)}))
    list.append(("Deep Six ","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':90,'turn':60,'turnspeed':1.5,'weapons':(45,46,)}))

    # 8 - The End of the PA Entrants "NOOOOOOOOOOO THE END D:"
    list.append(("The Gregoteer's WeedWhacker!!","Omni",{'nose':math.pi,'invertible':True,'range':99,'radius':1,'topspeed':1200,'throttle':1200,'turn':60,'turnspeed':3,'weapons':(2,3,4,5,)}))
    list.append(("Roulette xp","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':1500,'throttle':1750,'turn':60,'turnspeed':3.5,'weapons':(24,25,)}))
    list.append(("1234","Omni",{'nose':math.pi*1,'radius':0.1,'range':500,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(29,30,31,32,33)}))
    list.append(("Flammenbunker 2","Omni",{'nose':math.pi/2,'invertible':False,'range':50,'radius':1,'topspeed':1000,'throttle':1000,'turn':45,'turnspeed':4,'weapons':(0,)}))
    list.append(("Heavy Metal Noise","DirectionalSpinner",{'invertible':True,'range':99,'radius':1,'topspeed':100,'throttle':100,'turn':30,'turnspeed':2,'weapons':(16,17,18,19)}))
    list.append(("Nightmare","DirectionalSpinner",{'radius':1,'range':99,'topspeed':100,'throttle':100,'turn':100,'turnspeed':1,'weapons':(19,22,23)}))

    # 9 - Team HEX "We eat nuts and bolts for breakfast."
    list.append(("Grim Chopper","InvertOmni2",{'invertible':True,'range':50,'radius':1,'topspeed':140,'throttle':140,'turn':100,'turnspeed':2.5,'weapons':(15,)}))
    list.append(("Lock Nut","SpinupOmni2",{'invertible':False,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':95,'turnspeed':2.4,'MotorID':1,'Motor2ID':-1,'TargetRPM':300,'DisplayRPM':0,'JamTime':999,'weapons':(27,28,29,)}))
    list.append(("Cranky Spanky","Flipper2",{'invertible':False,'range':50,'radius':1,'topspeed':130,'throttle':130,'turn':80,'turnspeed':2,'UseSrimech':1,'EnemyMoveRadius':1,'EnemyMoveTime':2,'cooldown':3,'PrioritizeFlipper':0,'NoChassisTime':1,'SrimechInterval':1,'weapons':(12,13,14,15,16,17,)}))
    list.append(("YU812","SpinupOmni2",{'MotorID':1,'radius':1,'range':99,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(16,17,18)}))
    list.append(("MechaVore","EcoOmni",{'range':99,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':3.5,'weapons':(15,)}))
    list.append(("Minion","SwitchDirRam",{'nose':math.pi,'range':99,'ThresholdSpeed':0.02,'BackUpTime':4,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(42,),'sweapons':(10,)}))

    # 10 - Team Z "Still cooler than you."
    list.append(("Insane Beserker","SpinupOmni2",{'invertible':False,'range':50,'radius':1,'topspeed':140,'throttle':140,'turn':100,'turnspeed':2.5,'MotorID':1,'Motor2ID':-1,'TargetRPM':305,'DisplayRPM':0,'JamTime':2,'weapons':(42,43,44,)}))
    list.append(("Razorback","Flipper2",{'invertible':False,'range':50,'radius':1,'topspeed':140,'throttle':140,'turn':85,'turnspeed':2.1,'UseSrimech':0,'EnemyMoveRadius':1,'EnemyMoveTime':2,'cooldown':2,'PrioritizeFlipper':0,'NoChassisTime':1,'SrimechInterval':1,'weapons':(27,)}))
    list.append(("Eye Stabber","BiDirRam",{'invertible':True,'range':50,'radius':1,'topspeed':140,'throttle':140,'turn':85,'turnspeed':2.1,'weapons':(60,61,62,),'sweapons':(63,64,65,)}))
    list.append(("Hunter","TopPusher",{'invertible':True,'tactic':"Charge",'ThresholdSpeed':0.02,'BackUpTime':4,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5}))
    list.append(("Complete Control","Flipper2",{'UseSrimech':1,'EnemyMoveRadius':0.5,'nose':math.pi,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(14,)}))
    list.append(("Tazbot","LaserGuidedTH",{'nose':math.pi,'radius':1,'servorange':4,'servonose':1,'delta':0.75,'servospeed':100,'topspeed':100,'mayFire':True,'throttle':100,'turn':100,'turnspeed':1.5,'weapons':(24,)}))

    # 11 - SteelYard Dog "They don't have much of a bite, but they sure can PUSH!"
    list.append(("Mangy Mutt","TopPusher",{'invertible':True,'tactic':"Charge",'ThresholdSpeed':0.02,'BackUpTime':4,'radius':1,'topspeed':160,'throttle':160,'turn':90,'turnspeed':2.2}))
    list.append(("Top Dog","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':55,'turnspeed':1.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':3,'BackUpTime':99,'AimError':0,'weapons':(57,)}))
    list.append(("Bad Dog","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':80,'turnspeed':2,'tactic':"Ram",'ThresholdSpeed':3,'SightRange':5,'BackUpTime':99,'AimError':0,'weapons':(40,)}))
    list.append(("Apollyon","TopPusher",{'invertible':True,'tactic':"Charge",'ThresholdSpeed':0.02,'BackUpTime':4,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5}))
    list.append(("That Darn Dustpan!","Judge",{'MotorID':13,'StartAngle':math.pi/2,'Tolerance':math.pi/2,'reload':32,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(18,)}))
    list.append(("The KillDozer","Rammer",{'invertible':True,'nose':math.pi,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':1}))

    # 12 - RIOT "Things are going to get even LOUDER!"
    list.append(("Civil Uprising","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':80,'turnspeed':2,'weapons':(10,11,)}))
    list.append(("VENGEANCE","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':75,'turnspeed':1.9,'weapons':(53,54,55,)}))
    list.append(("Velociraptor","InvertOmni",{'invertible':False,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':65,'turnspeed':1.9,'weapons':(43,44,),'sweapons':(42,)}))
    list.append(("Whack!","Frenzy",{'radius':1,'topspeed':4,'throttle':100,'turn':100,'turnspeed':2,'weapons':(11,)}))
    list.append(("Hworf","Omni",{'invertible':True,'range':99,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':1,'weapons':(5,7)}))
    list.append(("frenZy","Judge",{'MotorID':5,'StartAngle':math.pi*0.6,'nose':math.pi/2,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':3.5,'weapons':(7,8)}))

    # 13 - MEGATON "KABBBBOOOOOOOOOOOMMMMM!!!!!!!!"
    list.append(("Poison Stinger","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':90,'turnspeed':2.2,'weapons':(11,)}))
    list.append(("Tempest","SpinupOmni2",{'nose':math.pi/2,'invertible':False,'range':50,'radius':1,'topspeed':130,'throttle':130,'turn':80,'turnspeed':2,'MotorID':1,'Motor2ID':-1,'TargetRPM':400,'DisplayRPM':0,'JamTime':999,'weapons':(21,22,23,24,25,26,27,28,)}))
    list.append(("UnDeadBeat","Judge",{'beta':-64000,'MotorID':1,'StartAngle':math.pi*0.6,'reload':5,'radius':1,'topspeed':130,'throttle':130,'turn':75,'turnspeed':1.9,'weapons':(19,20,35,)}))
    list.append(("Vertigo","VertSpinner",{'radius':1,'range':99,'topspeed':100,'throttle':100,'turn':100,'turnspeed':3,'weapons':(22,23),'sweapons':(0,)}))
    list.append(("Tornado Mer","SpinupOmni2",{'MotorID':1,'nose':math.pi/2,'range':99,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(6,7,8)}))
    list.append(("M.O.E.","DirectionalSpinner",{'invertible':True,'nose':math.pi,'range':99,'radius':.5,'turn':30,'turnspeed':2.5,'weapons':(12,13,25,26,27,28,29,30)}))

    # 14 - The Scrappers "We scrap junk for a living, so your bots won't be a problem at all."
    list.append(("360 Arc Pounder","FBS_2",{'invertible':True,'range':50,'radius':1,'topspeed':140,'throttle':140,'turn':85,'turnspeed':2.1,'fbs_range':6,'PreSpinEntrance':0,'clockwise':0,'chase_time':30,'Pulse':0,'SRcycle':16,'weapons':(26,)}))
    list.append(("Ripblade II","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':60,'turnspeed':1.6,'weapons':(36,37,)}))
    list.append(("Backyard Shredder","VertSpinner",{'invertible':False,'range':50,'radius':1,'topspeed':140,'throttle':140,'turn':80,'turnspeed':2,'TrollDanceZone':1,'weapons':(50,51,52,53,),'sweapons':(0,)}))
    list.append(("Flip Test Dummy","Rammer",{'invertible':True,'radius':2,'topspeed':100,'throttle':120,'turn':60,'turnspeed':4}))
    list.append(("The Stuff of Champions","Omni",{'radius':0.1,'range':99,'topspeed':100,'throttle':130,'turn':60,'turnspeed':4,'weapons':(16,17)}))
    list.append(("WreckTangle 2","Rammer",{'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':4}))

    # 15 - Robot Arena Reincarnated "From the forgotten graves and rusting junk we rise again!"
    list.append(("Gammaraze III","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':75,'turnspeed':1.9,'weapons':(41,42,43,44,45,46,47,48,)}))
    list.append(("Topknot II","LaserGuidedTH",{'nose':math.pi/2,'invertible':False,'range':50,'radius':1,'topspeed':130,'throttle':130,'turn':70,'turnspeed':1.8,'servospeed':30,'delta':0.2,'servorange':3.5,'servonose':1,'weapons':(62,)}))
    list.append(("ScootOrDie","Flipper2",{'invertible':False,'range':50,'radius':1,'topspeed':130,'throttle':130,'turn':75,'turnspeed':1.9,'UseSrimech':1,'EnemyMoveRadius':1,'EnemyMoveTime':5,'cooldown':4,'PrioritizeFlipper':1,'NoChassisTime':1,'SrimechInterval':1,'weapons':(38,)}))
    list.append(("Aquarius 2","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':140,'throttle':140,'turn':70,'turnspeed':1.8,'weapons':(23,)}))
    list.append(("Pon2n","Omni",{'invertible':False,'range':50,'radius':1,'topspeed':140,'throttle':140,'turn':85,'turnspeed':2.1,'weapons':(39,40,41,42,45,46,)}))
    list.append(("Triclops v2.0","Judge",{'beta':-64000,'MotorID':22,'StartAngle':-math.pi*0.6,'reload':5,'radius':1,'topspeed':150,'throttle':150,'turn':90,'turnspeed':2.3,'weapons':(38,)}))

    # 16 - Arthrobotics "Be warned... these bugs swat back."
    list.append(("AW-Nanowhirl","SpinupOmni2",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':140,'throttle':140,'turn':95,'turnspeed':2.3,'MotorID':1,'Motor2ID':-1,'TargetRPM':250,'DisplayRPM':0,'JamTime':999,'weapons':(9,)}))
    list.append(("AW-Terminus","Omni",{'invertible':True,'range':30,'radius':1,'topspeed':140,'throttle':140,'turn':80,'turnspeed':2,'weapons':(12,)}))
    list.append(("BW-Microwhirl","SpinupOmni2",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':140,'throttle':140,'turn':95,'turnspeed':2.3,'MotorID':2,'Motor2ID':-1,'TargetRPM':350,'DisplayRPM':0,'JamTime':999,'weapons':(5,)}))
    list.append(("BW-True Love","Drum",{'invertible':True,'radius':1,'range':50,'reload':40,'ThresholdSpeed':0.04,'BackUpTime':0.4,'topspeed':150,'throttle':150,'turn':90,'turnspeed':2.3,'weapons':(8,9,10,11,)}))
    list.append(("BW-Peer Pressure","Flipper2",{'invertible':False,'range':50,'radius':1,'topspeed':140,'throttle':140,'turn':85,'turnspeed':2.1,'UseSrimech':0,'EnemyMoveRadius':1,'EnemyMoveTime':2,'cooldown':2,'PrioritizeFlipper':0,'NoChassisTime':1,'SrimechInterval':1,'weapons':(10,11,12,19,20,)}))
    list.append(("BW-Robokilase","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':75,'turnspeed':1.9,'tactic':"Ram",'ThresholdSpeed':2,'SightRange':4,'BackUpTime':99,'AimError':0,'weapons':(21,22,23,)}))

    # 17 - Team RA2 "An eXTRAordinary lineup of bots, providing the best of the rest!"
    list.append(("TailWhip","FBS_2",{'invertible':True,'range':50,'radius':1,'topspeed':140,'throttle':140,'turn':85,'turnspeed':2.1,'fbs_range':6,'PreSpinEntrance':0,'clockwise':0,'chase_time':60,'Pulse':0,'SRcycle':16,'weapons':(16,)}))
    list.append(("Spin Basher","SpinupOmni2",{'invertible':False,'range':50,'radius':1,'topspeed':140,'throttle':140,'turn':90,'turnspeed':2.2,'MotorID':10,'Motor2ID':-1,'TargetRPM':300,'DisplayRPM':0,'JamTime':999,'weapons':(33,34,)}))
    list.append(("BarberShop Massacre","InvertOmni",{'invertible':False,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':80,'turnspeed':2,'weapons':(62,63,64,65,),'sweapons':(84,85,)}))
    list.append(("All Terrain Train","BiDirRam",{'invertible':True,'range':50,'radius':1,'topspeed':170,'throttle':170,'turn':85,'turnspeed':2.1,'weapons':(102,103,),'sweapons':(104,105,)}))
    list.append(("Hypno-Disc","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':130,'throttle':130,'turn':95,'turnspeed':2.4,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':2,'BackUpTime':99,'AimError':0,'weapons':(17,18,)}))
    list.append(("Typhoon 2","SpinupOmni2",{'nose':-math.pi/2,'invertible':False,'range':50,'radius':1,'topspeed':130,'throttle':130,'turn':85,'turnspeed':2.1,'MotorID':14,'Motor2ID':-1,'TargetRPM':200,'DisplayRPM':0,'JamTime':999,'weapons':(18,19,20,21,)}))